unit Mainunit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ExtDlgs, ExtCtrls,inifiles;

type
  TMainform = class(TForm)
    pc1: TPageControl;
    tsmtype: TTabSheet;
    tsitems: TTabSheet;
    TabSheet1: TTabSheet;
    gbbgrimg: TGroupBox;
    sbbgrimg: TScrollBox;
    ibgrimg: TImage;
    rbno: TRadioButton;
    rbyes: TRadioButton;
    bload: TButton;
    dopenbgr: TOpenPictureDialog;
    cldlg: TColorDialog;
    bbgrcl: TButton;
    mtext: TMemo;
    Label1: TLabel;
    bloadtext: TButton;
    dopen: TOpenDialog;
    gbitems: TGroupBox;
    lbitems: TListBox;
    badd: TButton;
    bdel: TButton;
    rbmainmenu: TRadioButton;
    rbsplash: TRadioButton;
    rbtext: TRadioButton;
    gbrecords: TRadioButton;
    procedure bloadClick(Sender: TObject);
    procedure bbgrclClick(Sender: TObject);
    procedure bloadtextClick(Sender: TObject);
    procedure baddClick(Sender: TObject);
    procedure bdelClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Mainform: TMainform;
  bgrim:string;
  bgrcolor:tcolor=clblack;
  items_tmp:tinifile;

implementation

uses F_additem;

{$R *.dfm}

procedure TMainform.bloadClick(Sender: TObject);
begin
if dopenbgr.Execute then
begin
bgrim:=dopenbgr.FileName;
try
ibgrimg.Picture.LoadFromFile(bgrim);
except
showmessage('Error loading image!');
end;
end;
end;

procedure TMainform.bbgrclClick(Sender: TObject);
begin
if cldlg.Execute then bgrcolor:=cldlg.Color;
end;

procedure TMainform.bloadtextClick(Sender: TObject);
begin
if dopen.Execute then mtext.Lines.LoadFromFile(dopen.FileName);
end;

procedure TMainform.baddClick(Sender: TObject);
begin
additemform.Show;
end;

procedure TMainform.bdelClick(Sender: TObject);
begin
lbitems.Items.Delete(lbitems.ItemIndex);
end;

procedure TMainform.FormCreate(Sender: TObject);
begin
items_tmp:=tinifile.Create(extractfilepath(application.ExeName)+'items.ini');
end;

procedure TMainform.FormDestroy(Sender: TObject);
begin
items_tmp.Free;
end;

end.
